For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Corporation Cardholder

Updates the specified corporation cardholder by setting the values of the parameters passed.

Request URI

POST /issuing/holder/update-corporation

Request Body

Refer to : common

Biz_data :

Name
Type
Description

holder_id*

long

Corporation Holder ID

contact_name*

string(100)

Contact Name

mobile*

string(16)

The whole mobile phone number.

Need to add an international area code

email*

string(80)

Email

corporation.corporation_id*

long

Corporation ID

corporation.registration_name*

string(100)

Registration Name.Format:CHARSETS_7

corporation.registration_code*

string(32)

Registration Code

corporation.registration_date*

string(20)

Registration Date.Format: yyyy-MM-dd

corporation.vat_code

string(32)

VAT Code

corporation.expires_on

string(20)

Expires On.Format: yyyy-MM-dd

corporation.business_scope

string(300)

Business Scope

corporation.registration_address.address_id*

long

Address ID

corporation.registration_address.line*

string(128)

The first line of the address.

Format:CHARSETS_4

corporation.registration_address.line2

string(128)

The second line of the address.

Format:CHARSETS_4

corporation.registration_address.postal_code*

string(4-8)

The address zip code, or postal code

corporation.registration_address.city_name*

string(4-80)

The address city.Format:CHARSETS_6

corporation.registration_address.state*

string(4-48)

The address state.Format:CHARSETS_6

corporation.registration_address.country_code*

string(2)

Country code.Refer to CountryCode

person.person_id*

long

Person ID

person.first_name*

string(50)

Director.First Name

person.last_name*

string(50)

Director.Last Name

person.middle_name

string(50)

Director.Middle Name

person.national_name

string(50)

Director.National Name

person.id_type*

integer

Director.ID Type

person.id_no*

string(6-20)

Director.ID Number

person.birthday*

string(20)

Director.Birthday

Format: yyyy-MM-dd

person.issuance_date

string(20)

Director.Issuance Date

Format: yyyy-MM-dd

person.expires_on

string(20)

Director.Expires On

Format: yyyy-MM-dd

person.citizenship_country*

string(2)

Director.Citizenship Country

person.address.address_id*

long

Address ID

person.address.line*

string(128)

Director.The first line of the address.

Format:CHARSETS_4

person.address.line2

string(128)

Director.The second line of the address.

Format:CHARSETS_4

person.address.postal_code*

string(4-8)

Director

The address zip code, or postal code

person.address.city_name*

string(4-80)

Director.The address city

Format:CHARSETS_6

person.address.state*

string(4-48)

Director.The address state

Format:CHARSETS_6

person.address.country_code*

string(2)

Director.Country code

Refer to CountryCode

Request Example

Response

Last updated